Bug 1004714 - IOException in aesh console initialization results in NPE
IOException in aesh console initialization results in NPE
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: EAP 6.2.0
Assigned To: Jan Martiska
Jan Martiska
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 06:10 EDT by Jan Martiska
Modified: 2013-12-15 11:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2009 Major Resolved IOException in aesh console initialization results in NPE 2013-12-04 09:02:23 EST

  None (edit)
Description Jan Martiska 2013-09-05 06:10:24 EDT
In source file org.jboss.as.cli.impl.Console, method Factory.getConsole:
if the constructor call "new org.jboss.aesh.console.Console()" leads to an IOException, it is only logged and then ignored, always yielding a NullPointerException just a few lines later (console.addCompletion(new Completion() ...)

I think the IOException should rather be rethrown wrapped in a CliInitializationException, so the resulting exception will not lose track of why this happened. Allowing a NPE go out of the internals is a wrong approach.

(We hit this issue with IOException happening intermittently on HP-UX when ~/.aesh_history is read over NFS. I am not sure if that can be fixed, needs some more investigation.)
Comment 1 Alexey Loubyansky 2013-09-05 08:59:42 EDT
Oh, yes, thanks for reporting.
Comment 2 JBoss JIRA Server 2013-09-06 02:33:14 EDT
Jan Martiska <jmartisk@redhat.com> updated the status of jira WFLY-2009 to Resolved
Comment 3 JBoss JIRA Server 2013-09-06 02:33:14 EDT
Jan Martiska <jmartisk@redhat.com> made a comment on jira WFLY-2009

merged.
Comment 5 Jan Martiska 2013-09-18 03:30:24 EDT
Verified in 6.2.0.ER1

Note You need to log in before you can comment on or make changes to this bug.